Home > Ubuntu Error > Ubuntu Error Using Install-module.pl Requires That You Install Make

Ubuntu Error Using Install-module.pl Requires That You Install Make

If you get errors consult the README and look at the results to see what is broken. If you are using Win32 expect the author to suggest you get a real OS but.....cheerstachyon Corrected a few technical inexactitudes (similar to issues ;-) thanks to Hanamaki Comment on A Browse other questions tagged perl gcc ubuntu install bugzilla or ask your own question. Warning: prerequisite enum 1.014 not found. http://centralpedia.com/ubuntu-error/ubuntu-error-package-install-command-failed-with-error-code-100.html

share|improve this answer answered Mar 27 '12 at 19:00 Martin 1 add a comment| up vote 0 down vote Please refer to below msg: Hope it helpful to you! Adv Reply Page 1 of 2 12 Last Jump to page: Quick Navigation Server Platforms Top Site Areas Settings Private Messages Subscriptions Who's Online Search Forums Forums Home Forums The I need to get this moving so I can migrate from a Windows server. If you want the docs (from the pod) to appear in the ActiveState docs do one of these after you have installed the modules. # probably this perl -MActivePerl::DocTools -e ActivePerl::DocTools::UpdateHTML()

According to ocach, this can be fixed by running cpan followed by these two commands on the cpan[n] prompt: o conf make '/usr/bin/make' #or path to your make o conf commit more stack exchange communities company blog Stack Exchange Inbox Reputation and Badges sign up log in tour help Tour Start here for a quick overview of the site Help Center Detailed Unfortunately there are also some tarball distributions which don't get expanded in their own directories, but in the current directory -- Have fun with the cleanup afterwards. 2. Ivan R.

The site is freehostultra.com You can see where I've started and got stuck at www.freehostultra.com/install/ I know it's probablt an easy fix but does anyone have a way to install all How much more than my mortgage should I charge for rent? How to create a custom theme in SXA? lib/i486-linux-gnu-thread-multi lib /etc/perl /usr/local/lib/perl/5.10.0 /usr/local/share/perl/5.10.0 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl) at /usr/local/share/perl/5.10.0/DateTime/Locale/Base.pm line 8.

Then, uncompress it so now you have a blib directory in your current working directory, and then execute perl -MExtUtils::Install -e install_default WWW/Curl and voila. Then you just use ExtUtils::Installed (you could use File::Find, but why go through the trouble when somebody already done it) use ExtUtils::Installed; my $inst = ExtUtils::Installed->new(); print "$_\n" for $inst->files('CGI'); =head1 more stack exchange communities company blog Stack Exchange Inbox Reputation and Badges sign up log in tour help Tour Start here for a quick overview of the site Help Center Detailed https://groups.google.com/d/topic/mozilla.support.bugzilla/Rkib1LLk4B8 Compilation failed in require at ./checksetup.pl line 98, line 275.

I don't know if Bugzilla is supposed to check for this, or if this is something that I should have installed anyway, but I kept getting the weird TimeDate::Locale error. Why don't miners get boiled to death at 4 km deep? Why do the Sparkfun and Adafruit Eagle libraries use smaller footprints than the manufacturer's recommended land pattern? For some background on what a module is and where they live on the system see the Simple Module Tutorial The Basics of Module Installation Fixing common problems When I perl

  • C:\Perl>perl -MCPAN -e "shell" Terminal does not support AddHistory.
  • So i've gone ahead and installed my first module.
  • To ensure that a module is working correctly most authors develop a test suite of programs that ensure the module is behaving as expected.
  • These modules require that you have a *good* C compiler on your system - generally gcc is best.
  • See the README for Solaris-PerlGcc.
  • I tried and tried to reinstall the TimeDate::Locale module, but it kept telling me that I had the most recent.
  • That means make actually ran, but failed because there is no file called Makefile in the current directory.
  • User contributions on this site are licensed under the Creative Commons Attribution Share Alike 4.0 International License.
  • share|improve this answer answered Sep 27 '11 at 20:32 Alexx 1,32721833 As I recall, the gcc package installs /usr/bin/cc as a symlink to gcc. –Keith Thompson Sep 27 '11

Expected results: let me install the modules. http://stackoverflow.com/questions/7575236/bugzilla-perl-module-installation-nightmare-no-cc-is-gcc-ok I need to provide accounts but don't need accounting(creditcard etc) Simply need to have a way to supply free webhosting . Join Date Nov 2007 Beans 64 DistroLubuntu 12.10 Quantal Quetzal Re: Installing Bugzilla anyone have any ideas why this isn't installing? The PATH is a list of directories that Win32 will search for executable files.

UbuntuCommunityAsk!DeveloperDesignDiscourseHardwareInsightsJujuShopMore ›AppsHelpForumLaunchpadMAASCanonical current community chat Ask Ubuntu Ask Ubuntu Meta your communities Sign up or log in to customize your list. http://centralpedia.com/ubuntu-error/ubuntu-error-25.html Follow instructions above ie perl Makefile && nmake && nmake test && nmake install If you try to do RASE first you will note it says it needs enum.pm (that's why Within this module directory we should find a file called "Makefile.PL" although it *may* be several dirs deep. cpan shell -- CPAN exploration and modules installation (v1.7601) ReadLine support available (try 'install Bundle::CPAN') cpan> install Win32::Rase CPAN: Storable loaded ok Going to read \.cpan\Metadata Database was generated on Thu,

This didn't work, so I ssh'ed in and actually downloaded the tarball to do it the old-fashioned way. Thanks a bunch! -- arcanus Adv Reply December 18th, 2009 #8 mlissner View Profile View Forum Posts Private Message Visit Homepage Quad Shot of Ubuntu Join Date Jan 2006 Location Like all tools they have issues. Check This Out If you do not have a C compiler you will need to install one.

I have installed/updated modules using ppm without a hitch. To fix it simple modify your path or specify the full path to the executable such as: $ ~/make This tells the operating system to use the make executable in your Personally, I never use the system Perl.

cpan[2]> o conf commit commit: wrote '/home/ek/.cpan/CPAN/MyConfig.pm' I recommend trying those techniques; it seems likely one of them will solve your problem.

In a nutshell the top of your scripts will look like this: #!/usr/bin/perl -w use strict; # add your ~/lib dir to @INC use lib '/usr/home/your_home_dir/lib/'; # proceed as usual use Trick or Treat polyglot Centralizers of regular elements are abelian How to make Skyscanner, Kiwi, Kayak include ground transfer in the search more hot questions about us tour help blog chat That's... How to make Skyscanner, Kiwi, Kayak include ground transfer in the search BFS implementation: queue vs storing previous and next frontier Player claims their wizard character knows everything (from books).

So be prepared to get the "Can't locate foo/bar.pm in @INC" error while running make test. 3. If you are getting this strange error, then try the following command: Code: /usr/bin/perl install-module.pl List::MoreUtils Hope this helps someone else =) Adv Reply November 24th, 2009 #6 ceagan View If someone still has this error, reinstalling DateTime might solve the issue. this contact form How many different varieties (color, size, etc) of socks do you have in your sock drawer? 1.

hopefully it is. I don't recall it being so difficult. FAQ Forum Quick Links Unanswered Posts New Posts View Forum Leaders FAQ Contact an Admin Forum Community Forum Council FC Agenda Forum Governance Forum Staff Ubuntu Forums Code of Conduct Forum I had to remove the cached DateTime modules prior to the install though (was located in /root/.cpan/build) Adv Reply May 3rd, 2010 #10 Queue29 View Profile View Forum Posts Private

PPM would download this file and attempt to execute it. These are specified in the Makefile.PL in the line: 'PREREQ_PM' => { Foo::Bar => 1.5 } This line specifies that the module you are trying to install require a module called If you don't have root permission you will not be able to install a module in the usual place on a shared user system. I need to install 5 or so modules to setup Amazon Cloudfront and don't know how to manage them once installed. - Should I leave the 'lib' folder as is? -

Writing Makefile for Win32::RASE [download] Is the difference between enum 1.014 and enum 1.016 significant? Not the answer you're looking for? The machines are a collection of differing RedHat boxes used by techies who like to change configurations and versions (so we have a lot of different RedHat and Perl versions). Join Date Nov 2007 Beans 64 DistroLubuntu 12.10 Quantal Quetzal Installing Bugzilla I'm not sure if this is the right forum to use...

Why can't the second fundamental theorem of calculus be proved in just two lines? Just getting cygwin/MinGW and gcc is not enough. Compilation failed in require at Bugzilla/Util.pm line 53. Given a limit with notation f, how would you solve?

PostgreSQL version: 0 (default port: 0) POSTGRES_HOME: (not set) POSTGRES_INCLUDE: /include POSTGRES_LIB: /lib OS: linux The value of POSTGRES_INCLUDE points to a non-existent directory: /include Cannot build unless the directories exist, For details and our forum data attribution, retention and privacy policy, see here Perl-Sensitive Sunglasses PerlMonks A Guide to Installing Modules by tachyon (Chancellor) LoginCreateanewuser TheMonasteryGates SuperSearch SeekersofPerlWisdom Meditations PerlMonksDiscussion Browse other questions tagged perl installation bugzilla make or ask your own question. Looks good Warning: prerequisite Win32::API 0 not found.

My AccountSearchMapsYouTubePlayNewsGmailDriveCalendarGoogle+TranslatePhotosMoreShoppingWalletFinanceDocsBooksBloggerContactsHangoutsEven more from GoogleSign inHidden fieldsSearch for groups or messages [email protected] NewAccount | Log In or Remember [x] | Forgot Password Login: [x] Home | New | Browse | Search